{
	"type": "object",
	"description": "The point of interest location description.",
	"additionalProperties": false,
	"properties":
	{
		"pageIndex":
		{
			"type": "number",
			"description": "The page index to view"
		},
		"points":
		{
			"description": "Used if viewState.zoomWidth is true; specifies 4 corners of the rectangle to make visible. Array of point objects {x: y:}",
			"type": "array"
		},
		"viewState":
		{
			"type": "object",
			"description": "The view state information",
			"properties":
			{
				"hasViewState":
				{
					"type": "boolean",
					"description": "Whether there is view state information to use"
				},
				"rotate":
				{
					"type": "number",
					"description": "Degrees of rotation"
				},
				"extents":
				{
					"type": "boolean",
					"description": "Whether the view should scale to fit extents or not"
				},
				"zoomWidth":
				{
					"type": "boolean",
					"description": "Whether the view should scale to fit width or not"
				},
				"scaleFactor":
				{
					"type": "number",
					"description": "The scale factor for the view state"
				},
				"deviceRect":
				{
					"type": "object",
					"description": "The device rectangle geometry",
					"properties":
					{
						"left":
						{
							"type": "number",
							"description": "The left edge of the device rectangle"
						},
						"right":
						{
							"type": "number",
							"description": "The right edge of the device rectangle"
						},
						"top":
						{
							"type": "number",
							"description": "The top edge of the device rectangle"
						},
						"bottom":
						{
							"type": "number",
							"description": "The bottom edge of the device rectangle"
						}
					}
				},
				"eyePoint":
				{
					"type": "object",
					"description": "The eyepoint coordinate",
					"properties":
					{
						"x":
						{
							"type": "number",
							"description": "The x coordinate of the eyepoint"
						},
						"y":
						{
							"type": "number",
							"description": "The y coordinate of the eyepoint"
						}
					}
				}
			}
		}
	}
}